summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2007-09-10 03:44:47 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 15:05:50 -0500
commit15c1801a5c13479f1bf67e0e3c1ad7c0af8e3af7 (patch)
treec5bcb824e04cb1de4cccb07a148c113ff1831298 /source4/script
parent37de963f67a1331b6402f901d2bda79b7119a155 (diff)
downloadsamba-15c1801a5c13479f1bf67e0e3c1ad7c0af8e3af7.tar.gz
samba-15c1801a5c13479f1bf67e0e3c1ad7c0af8e3af7.tar.bz2
samba-15c1801a5c13479f1bf67e0e3c1ad7c0af8e3af7.zip
r25051: Move SWAT back to the old-style form-submit modal.
The Web 2.0, async client tools were really interesting, but without developer backing they remain impossible to support into a release. The most interesting app was the LDB browser, and I intend to replace this with phpLdapAdmin, preconfigured for Apache during provision. This also removes the need to 'compile' SWAT on SVN checkouts. Andrew Bartlett (This used to be commit cda965e908055d45b1c05bc29cc791f7238d2fae)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/installjsonrpc.sh32
-rwxr-xr-xsource4/script/installswat.sh37
-rwxr-xr-xsource4/script/installwebapps.sh51
3 files changed, 37 insertions, 83 deletions
diff --git a/source4/script/installjsonrpc.sh b/source4/script/installjsonrpc.sh
deleted file mode 100755
index b91f6bf3bb..0000000000
--- a/source4/script/installjsonrpc.sh
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/sh
-
-SERVICESDIR=$1
-SRCDIR=$2
-
-echo Installing JSON-RPC services in $SERVICESDIR
-
-cd $SRCDIR/../services || exit 1
-
-mkdir -p $SERVICESDIR || exit 1
-
-installdir() {
- for f in $*; do
- dname=`dirname $f`
- echo "Installing $f in $dname"
- test -d $SERVICESDIR/$dname || mkdir -p $SERVICESDIR/$dname || exit 1
- cp $f $SERVICESDIR/$dname/ || exit 1
- chmod 0644 $SERVICESDIR/$f || exit 1
- done
-}
-
-installdir `find . -name '*.esp'`
-
-cat << EOF
-======================================================================
-The JSON-RPC services have been installed.
-======================================================================
-EOF
-
-
-exit 0
-
diff --git a/source4/script/installswat.sh b/source4/script/installswat.sh
new file mode 100755
index 0000000000..4304e3e490
--- /dev/null
+++ b/source4/script/installswat.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+SWATDIR=$1
+SRCDIR=$2
+
+echo Installing swat files in $SWATDIR
+
+cd $SRCDIR/../swat || exit 1
+
+mkdir -p $SWATDIR || exit 1
+
+installdir() {
+ for f in $*; do
+ dname=`dirname $f`
+ echo "Installing $f in $dname"
+ test -d $SWATDIR/$dname || mkdir -p $SWATDIR/$dname || exit 1
+ cp $f $SWATDIR/$dname/ || exit 1
+ chmod 0644 $SWATDIR/$f || exit 1
+ done
+}
+
+installdir `find . -name '*.js'`
+installdir `find . -name '*.esp'`
+installdir `find . -name '*.css'`
+installdir `find . -name '*.png'`
+installdir `find . -name '*.ico'`
+installdir `find . -name '*.gif'`
+installdir `find . -name '*.ejs'`
+
+cat << EOF
+======================================================================
+The swat files have been installed.
+======================================================================
+EOF
+
+exit 0
+
diff --git a/source4/script/installwebapps.sh b/source4/script/installwebapps.sh
deleted file mode 100755
index 25a43dba24..0000000000
--- a/source4/script/installwebapps.sh
+++ /dev/null
@@ -1,51 +0,0 @@
-#!/bin/sh
-
-WEBAPPSDIR=$1
-SRCDIR=$2
-
-echo Installing web application files in $WEBAPPSDIR
-
-cd $SRCDIR/../webapps/swat || exit 1
-
-# building the web application framework is now done by autogen.sh
-#make build || exit 1
-
-mkdir -p $WEBAPPSDIR || exit 1
-
-installdir() {
- for f in $*; do
- dname=`dirname $f`
- echo "Installing $f in $dname"
- test -d $WEBAPPSDIR/$dname || mkdir -p $WEBAPPSDIR/$dname || exit 1
- cp $f $WEBAPPSDIR/$dname/ || exit 1
- chmod 0644 $WEBAPPSDIR/$f || exit 1
- done
-}
-
-# install our web application
-cd build || exit 1
-installdir `find . -type f -print`
-
-# install files from the 'scripting', 'style' and 'images' directories
-cd ../.. || exit 1
-installdir `find scripting -name '*.js'`
-installdir `find scripting -name '*.esp'`
-installdir `find style -name '*.css'`
-installdir `find images -name '*.png'`
-installdir `find images -name '*.gif'`
-installdir `find images -name '*.ico'`
-
-# install the old installation scripts, since there's no replacement yet
-installdir `find install -name '*.esp'`
-
-# install top-level scripts
-installdir index.esp login.esp logout.esp menu.js
-
-cat << EOF
-======================================================================
-The web application files have been installed.
-======================================================================
-EOF
-
-exit 0
-